aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/distrib
diff options
context:
space:
mode:
Diffstat (limited to 'tools/distrib')
-rwxr-xr-xtools/distrib/pylint_code.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/tools/distrib/pylint_code.sh b/tools/distrib/pylint_code.sh
index bbacd48737..307fe6c0c0 100755
--- a/tools/distrib/pylint_code.sh
+++ b/tools/distrib/pylint_code.sh
@@ -25,6 +25,10 @@ DIRS=(
'src/python/grpcio_testing/grpc_testing'
)
+TEST_DIRS=(
+ 'src/python/grpcio_tests/tests'
+)
+
VIRTUALENV=python_pylint_venv
virtualenv $VIRTUALENV
@@ -36,4 +40,8 @@ for dir in "${DIRS[@]}"; do
$PYTHON -m pylint --rcfile=.pylintrc -rn "$dir" || exit $?
done
+for dir in "${TEST_DIRS[@]}"; do
+ $PYTHON -m pylint --rcfile=.pylintrc-tests -rn "$dir" || exit $?
+done
+
exit 0